Package Details: primerl 2.4a-1

Git Clone URL: (read-only)
Package Base: primerl
Description: A sci-fi roguelike, based on ZAPM.
Upstream URL:
Licenses: GPL
Submitter: keenerd
Maintainer: keenerd
Last Packager: keenerd
Votes: 6
Popularity: 0.565182
First Submitted: 2012-01-08 04:27
Last Updated: 2015-06-13 04:29

Latest Comments

eigengrau commented on 2014-11-08 08:49

Had some time to look into this not building. There appears to be some race condition in the upstream makefiles which is triggered when you set MAKEFLAGS="-j4" in makepkg.conf. You can enforce MAKEFLAGS="-j1" in the PKGBUILD to work around this.

keenerd commented on 2014-10-21 22:10

Sorry, works for me. You're going to have to figure out that one yourself.

eigengrau commented on 2014-10-12 18:29

Build fails with:

make[1]: Leaving directory '/tmp/makepkg/primerl/src/prime/support/tablemaker'
support/tablemaker/tablemaker < Items.txt
echo "#define SCOREDIR \"/var/games/prime\"" >> config.h
c++ -Wall -Wextra -pedantic -Wno-variadic-macros -g -D_FORTIFY_SOURCE=2 -c -o AttackList.o AttackList.cpp
mv ObjectIlk.cpp gen
mv ObjectIlk.cpp gen
touch ObjectList.cpp
mv: cannot stat ‘ObjectIlk.cpp’: No such file or directory
makefile.core:39: recipe for target 'ObjectIlk.h' failed

jokengle commented on 2013-11-27 08:12

please, add sdl_mixer to the dependencies

itti commented on 2012-07-22 22:08

1.10 is out and brought a smarter Makefile...

Here is my take on a new PKGBULD [1] and launcher script [2]:


itti commented on 2012-04-05 21:27

I ran into build problems on one of my boxes:

In file included from Global.h:302:0,
from Path.cpp:1:
Util.h: In instantiation of ‘int shHeap<T>::insert(T) [with T = PathNode*]’:
Path.cpp:192:41: required from here
Util.h:265:9: error: ‘grow’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

here is a a quick patch file:
and the corresponding new PKGBUILD: